function assignCustomAdboardIDs()
--------------------------------------------------------------------------------------------------------------
--PLACE CUSTOM  ASSIGNMENTS BELOW HERE
--------------------------------------------------------------------------------------------------------------




--------------------------------------------------------------------------------------------------------------
--PLACE CUSTOM ASSIGNMENTS ABOVE HERE
--------------------------------------------------------------------------------------------------------------
end

--------------------------------------------------------------------------------------------------------------

function StadiumUpdate(idx)
	local as = gSportsRNA
	local state = as:GetTable("wvState")
	local stadium = as:GetTable("wvStadium", idx)

    db.stadium[idx].lightType = as:GetInt(stadium, "stadLightType")
	db.stadium[idx].stadiumID = as:GetInt(stadium, "stadID")
	db.stadium[idx].prefix = as:GetString(stadium, "stadNamePrefix")
	db.stadium[idx].pitchColor = as:GetInt(stadium, "stadLightType")
	db.stadium[idx].mowPattern = as:GetInt(stadium, "pitchMowPattern")
	db.stadium[idx].wearPattern = as:GetInt(stadium, "pitchWearPattern")
	db.stadium[idx].skyCategoryId = as:GetInt(state, "wvAttribSkyCategory")
	db.stadium[idx].skyAssetId = as:GetInt(state, "wvAttribSkyID")
	
	db.stadium[idx].adboardID = as:GetInt(stadium, "adboardID" )
	db.stadium[idx].adboardGroup = 0 --as:GetInt(stadium, "adboardGroup" )
	
	db.stadium[idx].homeKitTeamID = as:GetInt(stadium, "homeKitTeamID" )
	db.stadium[idx].homeKitTypeID = as:GetInt(stadium, "homeKitTypeID" )
	db.stadium[idx].awayKitTeamID = as:GetInt(stadium, "awayKitTeamID" )
	db.stadium[idx].awayKitTypeID = as:GetInt(stadium, "awayKitTypeID" )
	
	db.stadium[idx].isHomeFCZ = as:GetInt(stadium, "isHomeCreationZone")
	db.stadium[idx].isAwayFCZ = as:GetInt(stadium, "isAwayCreationZone")
	
	db.stadium[idx].homeTeamAssetId = as:GetInt(stadium, "homeTeamAssetId")
	db.stadium[idx].hasCzCrestImage = as:GetInt(stadium, "hasCzCrestImage")
	
	db.stadium[idx].homePrimaryColour = as:GetInt(stadium, "homePrimaryColour")
	db.stadium[idx].homeSecondaryColour = as:GetInt(stadium, "homeSecondaryColour")
	db.stadium[idx].awayPrimaryColour = as:GetInt(stadium, "awayPrimaryColour")
	db.stadium[idx].awaySecondaryColour = as:GetInt(stadium, "awaySecondaryColour")
	
	db.stadium[idx].homeBannerId = db.stadium[idx].homeKitTeamID
	db.stadium[idx].awayBannerId = db.stadium[idx].awayKitTeamID
	
	db.stadium[idx].homeBannerPrimaryColour = 0xffff0000
	db.stadium[idx].homeBannerSecondaryColour = 0xff00ff00
	db.stadium[idx].awayBannerPrimaryColour = 0xffff0000
	db.stadium[idx].awayBannerSecondaryColour = 0xff00ff00
	
	if ( db.stadium[idx].isHomeFCZ == 1 ) then
		db.stadium[idx].homeBannerId = 7500
		db.stadium[idx].homeBannerPrimaryColour = db.stadium[idx].homePrimaryColour
		db.stadium[idx].homeBannerSecondaryColour = db.stadium[idx].homeSecondaryColour
	end
	
	if ( db.stadium[idx].isAwayFCZ == 1 ) then
		db.stadium[idx].awayBannerId = 7500
		db.stadium[idx].awayBannerPrimaryColour = db.stadium[idx].awayPrimaryColour
		db.stadium[idx].awayBannerSecondaryColour = db.stadium[idx].awaySecondaryColour
	end
	
	-- some teams require to swap crowd and banners location
	local swapHomeAwayCrowd = as:GetInt(stadium, "swapHomeAwayCrowd")
	if ( swapHomeAwayCrowd == 1 ) then
		db.stadium[idx].homeBannerId, db.stadium[idx].awayBannerId = db.stadium[idx].awayBannerId, db.stadium[idx].homeBannerId
		db.stadium[idx].homeBannerPrimaryColour, db.stadium[idx].awayBannerPrimaryColour = db.stadium[idx].awayBannerPrimaryColour, db.stadium[idx].homeBannerPrimaryColour
		db.stadium[idx].homeBannerSecondaryColour, db.stadium[idx].awayBannerSecondaryColour = db.stadium[idx].awayBannerSecondaryColour, db.stadium[idx].homeBannerSecondaryColour
	end
	
	
	local wipe3d = as:GetTable("wvWipe", idx)
	
	db.wipe3d[idx].leagueID = as:GetInt(wipe3d, "leagueID")
	db.wipe3d[idx].leagueID = getTournamentGraphics(db.wipe3d[idx].leagueID)
	
	--initAdboardArray()
	if (idx == 0) then
	assignCustomAdboardIDs()
	end
	
	db.stadium[idx].adboardID = getAdboardID(db.stadium[idx].homeKitTeamID,db.stadium[idx].adboardID,db.wipe3d[idx].leagueID,idx,db.stadium[idx].stadiumID)
	
	db.stadium[idx].stadTexID = getTournamentStadTex(db.stadium[idx].stadiumID,db.wipe3d[idx].leagueID,0)
	
	db.stadium[idx].mowPattern = getMowPattern(db.stadium[idx].homeKitTeamID,db.wipe3d[idx].leagueID,db.stadium[idx].mowPattern)
	
end

function GetHomeKitAssetSrc(idx)
	if ( db.stadium[idx].isHomeFCZ == 1 ) then
		if ( db.stadium[idx].hasCzCrestImage > 0 ) then
			return "data/ugc/cz_crest/${db.stadium[?].homeTeamAssetId}.png;data/ugc/cz_crest/1.png"
		else
			return "data/sceneassets/crest/crest_${db.stadium[?].homeTeamAssetId}.rx3"
		end
	else
		return "data/ui/imgassets/crest/l${db.stadium[?].homeKitTeamID}.dds"
	end
end

function GetCrestTexName(idx)
	if ( db.stadium[idx].hasCzCrestImage > 0 ) then
		return "png"
	else
		return ""
	end
end

function StadiumAssetBind(stadium)
	local gr = gRenderables
	local lod = 0
	local priority = 0
	local banneridx = 0
	local maxbanners = 11
	local stadiumAsset = "data/sceneassets/stadium/${db.stadium[?].prefix}_${db.stadium[?].stadiumID}_${db.stadium[?].lightType}_container_${db.stadium[?].stadTexID}.rx3;data/sceneassets/stadium/${db.stadium[?].prefix}_666_1_container_0.rx3"

	-- Load all the stadium assets at a higher priority than the rest, so we can get it loaded early	
    gr:SetPriorityBoost(stadium, lod, 10)

	-- Get all assets we require in...
	gr:AddCallback(stadium, lod, "StadiumUpdate(?)")
	gr:AddAsset(stadium, lod, "shader", "data/fifarna/shader.big")

	gr:AddAsset(stadium, lod, "stadium",                          stadiumAsset, priority)
	
	-- Assets we need to intercept
	gr:AddAsset(stadium, lod, "pitchambient",                     stadiumAsset, priority)
	gr:AddAsset(stadium, lod, "pitchnolineambient",               stadiumAsset, priority)
	gr:AddAsset(stadium, lod, "jumbotronambient",                 stadiumAsset, priority)
	gr:AddAsset(stadium, lod, "adboardambient",                   stadiumAsset, priority)
	gr:AddAsset(stadium, lod, "adboardscrollingambient",          stadiumAsset, priority)
	gr:AddAsset(stadium, lod, "adboarddigitalambient",            stadiumAsset, priority)
    gr:AddAsset(stadium, lod, "adboarddigitalglow",               stadiumAsset, priority)
    gr:AddAsset(stadium, lod, "adboarddigitalglowambient",        stadiumAsset, priority)
    gr:AddAsset(stadium, lod, "adboardsingledigitalambient",      stadiumAsset, priority)
    gr:AddAsset(stadium, lod, "adboardsingledigitalglow",         stadiumAsset, priority)
	gr:AddAsset(stadium, lod, "adboardsingledigitalglowambient",  stadiumAsset, priority)
	gr:AddAsset(stadium, lod, "genericadambient",                 stadiumAsset, priority)
	gr:AddAsset(stadium, lod, "crestambient",                     stadiumAsset, priority)
	gr:AddAsset(stadium, lod, "homeprimaryambient",               stadiumAsset, priority)
	gr:AddAsset(stadium, lod, "homesecondaryambient",             stadiumAsset, priority)
	gr:AddAsset(stadium, lod, "bannerhomeambient",                stadiumAsset, priority)
	gr:AddAsset(stadium, lod, "bannerawayambient",                stadiumAsset, priority)
	gr:AddAsset(stadium, lod, "diffuseshadow",                    stadiumAsset, priority)
	gr:AddAsset(stadium, lod, "diffuseshadowambient",             stadiumAsset, priority)
	
	gr:AddAsset(stadium, lod, "sclockhalvesambient",              stadiumAsset, priority)
	gr:AddAsset(stadium, lod, "sclocktimeanalogambient",          stadiumAsset, priority)
	gr:AddAsset(stadium, lod, "sclockminutesonesambient",         stadiumAsset, priority)
	gr:AddAsset(stadium, lod, "sclockminutestensambient",         stadiumAsset, priority)
	gr:AddAsset(stadium, lod, "sclocksecondsonesambient",         stadiumAsset, priority)
	gr:AddAsset(stadium, lod, "sclocksecondstensambient",         stadiumAsset, priority)
	gr:AddAsset(stadium, lod, "sclockscorehomeonesambient",      stadiumAsset, priority)
	gr:AddAsset(stadium, lod, "sclockscorehometensambient",       stadiumAsset, priority)
	gr:AddAsset(stadium, lod, "sclockscoreawayonesambient",      stadiumAsset, priority)
	gr:AddAsset(stadium, lod, "sclockscoreawaytensambient",       stadiumAsset, priority)

	
	-- Stadium Banners with dynamic distribution  (Not used on Fifa)
    --local bannermat
	--for banneridx=0, maxbanners-1 do 
	--	bannermat = string.format( "banner%sambient", banneridx )
	--	gr:AddAsset(stadium, lod, bannermat,                      stadiumAsset, priority)
	--end
	
	
	-- Additional assets to load
	gr:AddAsset(stadium, lod, "mow", "data/sceneassets/pitch/pitchmowpattern_${db.stadium[?].mowPattern}_textures.rx3", priority)
	gr:AddAsset(stadium, lod, "cmn", "data/sceneassets/pitch/pitch_common_textures.rx3", priority)
	gr:AddAsset(stadium, lod, "col", "data/sceneassets/pitch/pitchcolor_${db.stadium[?].pitchColor}_textures.rx3", priority)
	gr:AddAsset(stadium, lod, "globaltex", "data/sceneassets/globaltex/globaltex_0.rx3", priority)
	gr:AddAsset(stadium, lod, "wear", "data/sceneassets/pitch/pitchwearpattern_${db.stadium[?].wearPattern}_textures.rx3", priority)
	--TODO direct it into host city texture
	gr:AddAsset(stadium, lod, "adboardsingletex", "data/sceneassets/adboard/adboard_${db.stadium[?].adboardID}_${db.stadium[?].adboardGroup}.rx3", priority)
	gr:AddAssetEx(stadium, lod, "extracttexture ${GetCrestTexName(?)}", "homecresttex", "${GetHomeKitAssetSrc(?)}")
	gr:AddAsset(stadium, lod, "homebannertex", "data/sceneassets/banner/banner_${db.stadium[?].homeBannerId}.rx3;data/sceneassets/banner/banner_0.rx3", priority)
	gr:AddAsset(stadium, lod, "awaybannertex", "data/sceneassets/banner/banner_${db.stadium[?].awayBannerId}.rx3;data/sceneassets/banner/banner_0.rx3", priority)
	gr:AddAsset(stadium, lod, "genericadtex", "data/sceneassets/genericad/genericad_${db.stadium[?].adboardID}.rx3;data/sceneassets/genericad/genericad_1.rx3", priority)
	gr:AddAsset(stadium, lod, "skytexture", "data/sceneassets/sky/sky_${db.stadium[?].skyCategoryId}_${db.stadium[?].skyAssetId}.rx3", priority)

	-- Now generate custom materials (these should be named after the shader they are to replace)
	-- Pitch 
	local part = "pitchambient"
	gr:CreateMaterial(stadium, lod, part, "hdr_pitch.fx")
	gr:SetTexture(stadium, lod, part, "textures", "noiseTexture", "globaltex", "multiFreq_noise")
	gr:SetTexture(stadium, lod, part, "textures", "diffuseTexture", "col", "grass_color")
	-- ambient should magically be populated by the original state block of the stadium
	gr:SetTexture(stadium, lod, part, "textures", "normalMap", "mow", "grass_normal")
	gr:SetTexture(stadium, lod, part, "textures", "alphamask", "wear", "grass_wear")
	gr:SetTexture(stadium, lod, part, "textures", "pitchLinesMap", "cmn", "grass_pitchlines")
	
	part = "pitchnolineambient"
	gr:CreateMaterial(stadium, lod, part, "hdr_pitchnoline.fx")
	gr:SetTexture(stadium, lod, part, "textures", "noiseTexture", "globaltex", "multiFreq_noise")
	gr:SetTexture(stadium, lod, part, "textures", "diffuseTexture", "col", "grass_color")
	-- ambient should magically be populated by the original state block of the stadium
	-- gr:SetTexture(stadium, lod, part, "textures", "normalMap", "mow", "grass_normal")
	-- gr:SetTexture(stadium, lod, part, "textures", "alphamask", "wear", "grass_wear")

	-- Render to texture jumbotron
	part = "jumbotronambient"
	-- gr:CreateMaterialFromAttribulator(stadium, lod, part, "jumbotronambient", "${AttribMaterial('jumbotronambient')}")
	gr:CreateMaterial(stadium, lod, part, "jumbotron.fx")
	gr:SetTextureFromRuntime(stadium, lod, part, "textures", "jumbotronMap", "jumbotron")
	gr:SetTexture(stadium, lod, part, "textures", "LEDTexture", "globaltex", "LED_cm")
	
	-- Stadium Adboards
	-- All of them redirected into runtime texture managed by adboard renderable
	-- The exception is adboardsingledigitalambient and adboardsingledigitalglowambient which
	-- show a completely different not switching texture all the time
	part = "adboardambient"
	gr:CreateMaterial(stadium, lod, part, "adboardambient.fx")
	gr:SetTexture(stadium, lod, part, "textures", "diffuseTexture", "adboardsingletex", "adboard")
	
	part = "adboardscrollingambient"
	gr:CreateMaterial(stadium, lod, part, "adboardscrollingambient.fx")
	gr:SetTexture(stadium, lod, part, "textures", "diffuseTexture", "adboardsingletex", "adboard")

	part = "adboarddigitalambient"
	gr:CreateMaterial(stadium, lod, part, "adboarddigitalambient.fx")
	gr:SetTexture(stadium, lod, part, "textures", "diffuseTexture", "adboardsingletex", "adboard")
	gr:SetTexture(stadium, lod, part, "textures", "incandescenceMap", "globaltex", "digitalgrid_cm")	

	part = "adboarddigitalglow"
	gr:CreateMaterial(stadium, lod, part, "adboarddigitalglowambient.fx")
	gr:SetTexture(stadium, lod, part, "textures", "diffuseTexture", "adboardsingletex", "adboard")

	part = "adboarddigitalglowambient"
	gr:CreateMaterial(stadium, lod, part, "adboarddigitalglowambient.fx")
	gr:SetTexture(stadium, lod, part, "textures", "diffuseTexture", "adboardsingletex", "adboard")

	-- The home team crest in the stadium
	part = "crestambient"
	-- gr:CreateMaterialFromAttribulator(stadium, lod, part, "crestambient", "${AttribMaterial('crestambient')}")
	gr:CreateMaterial(stadium, lod, part, "env_Diff.fx")
	gr:SetTexture(stadium, lod, part, "textures", "diffuseTexture", "homecresttex", "${GetCrestTexName(?)}")
	
	-- Stadium Banners
	part = "bannerhomeambient"
	gr:CreateMaterial(stadium, lod, part, "env_DiffColourSub.fx")
	gr:SetTexture(stadium, lod, part, "textures", "diffuseTexture", "homebannertex", "banner_")
	gr:SetConstantARGB(stadium, lod, part, "global", "customColorPri", "${db.stadium[?].homeBannerPrimaryColour}")
	gr:SetConstantARGB(stadium, lod, part, "global", "customColorSec", "${db.stadium[?].homeBannerSecondaryColour}")
	
	part = "bannerawayambient"
	gr:CreateMaterial(stadium, lod, part, "env_DiffColourSub.fx")
	gr:SetTexture(stadium, lod, part, "textures", "diffuseTexture", "awaybannertex", "banner_")
	gr:SetConstantARGB(stadium, lod, part, "global", "customColorPri", "${db.stadium[?].awayBannerPrimaryColour}")
	gr:SetConstantARGB(stadium, lod, part, "global", "customColorSec", "${db.stadium[?].awayBannerSecondaryColour}")

    ------------------------------------------------------------------------------------------------------
	-- Stadium Banners with dynamic distribution (Not used on Fifa)
	--local texname
	--for banneridx=0, maxbanners-1 do 
	--	part = string.format( "banner%sambient", banneridx )
	--	texname = string.format( "banner%s", banneridx )
	--	gr:CreateMaterial(stadium, lod, part, "env_Diff.fx")
	--	gr:SetTextureFromRuntime(stadium, lod, part, "textures", "diffuseTexture", texname)
	--end
    ------------------------------------------------------------------------------------------------------

	-- Team colours
	part = "homeprimaryambient"
	gr:CreateMaterial(stadium, lod, part, "env_DiffColour.fx")
	gr:SetConstantARGB(stadium, lod, part, "global", "envColour", "${db.stadium[?].homePrimaryColour}")
	
	part = "homesecondaryambient"
	gr:CreateMaterial(stadium, lod, part, "env_DiffColour.fx")
	gr:SetConstantARGB(stadium, lod, part, "global", "envColour", "${db.stadium[?].homeSecondaryColour}")
	
	-- Generic adboards
	part = "genericadambient"
	gr:CreateMaterial(stadium, lod, part, "env_Diff.fx")
	gr:SetTexture(stadium, lod, part, "textures", "diffuseTexture", "genericadtex", "genericad")
	
	
	-- Flatshadow enabled geometry
	part = "diffuseshadowambient"
	gr:CreateMaterial(stadium, lod, part, "env_Diff_flatshadow.fx")

	
	-- Flatshadow enabled geometry
	part = "diffuseshadow"
	gr:CreateMaterial(stadium, lod, part, "env_Diff_flatshadow.fx")

	
	-- Dynamic Scoreclock
	part = "sclocktimeanalogambient"
	gr:CreateMaterial(stadium, lod, part, "uvoffset.fx")
	gr:SetTexture(stadium, lod, part, "textures", "diffuseTexture", "globaltex", "sclock_analog")
	
	part = "sclockhalvesambient"
	gr:CreateMaterial(stadium, lod, part, "uvoffset.fx")
	gr:SetTexture(stadium, lod, part, "textures", "diffuseTexture", "globaltex", "sclock_digits")
	
	part = "sclockminutesonesambient"
	gr:CreateMaterial(stadium, lod, part, "uvoffset.fx")
	gr:SetTexture(stadium, lod, part, "textures", "diffuseTexture", "globaltex", "sclock_digits")
	
	part = "sclockminutestensambient"
	gr:CreateMaterial(stadium, lod, part, "uvoffset.fx")
	gr:SetTexture(stadium, lod, part, "textures", "diffuseTexture", "globaltex", "sclock_digits")
	
	part = "sclocksecondsonesambient"
	gr:CreateMaterial(stadium, lod, part, "uvoffset.fx")
	gr:SetTexture(stadium, lod, part, "textures", "diffuseTexture", "globaltex", "sclock_digits")
	
	part = "sclocksecondstensambient"
	gr:CreateMaterial(stadium, lod, part, "uvoffset.fx")
	gr:SetTexture(stadium, lod, part, "textures", "diffuseTexture", "globaltex", "sclock_digits")
	
	part = "sclockscorehomeonesambient"
	gr:CreateMaterial(stadium, lod, part, "uvoffset.fx")
	gr:SetTexture(stadium, lod, part, "textures", "diffuseTexture", "globaltex", "sclock_digits")
	
	part = "sclockscorehometensambient"
	gr:CreateMaterial(stadium, lod, part, "uvoffset.fx")
	gr:SetTexture(stadium, lod, part, "textures", "diffuseTexture", "globaltex", "sclock_digits")
	
	part = "sclockscoreawayonesambient"
	gr:CreateMaterial(stadium, lod, part, "uvoffset.fx")
	gr:SetTexture(stadium, lod, part, "textures", "diffuseTexture", "globaltex", "sclock_digits")
	
	part = "sclockscoreawaytensambient"
	gr:CreateMaterial(stadium, lod, part, "uvoffset.fx")
	gr:SetTexture(stadium, lod, part, "textures", "diffuseTexture", "globaltex", "sclock_digits")
	
	
end



teamAdboards = {}
tournamentAdboards = {}
stadiumAdboards = {}
genericAdboards = {}

teamTournament = {}


function getAdboardID(team,ad,tourn,idx,stad)

if (globalAdboardsEnabled) then
return globalAdboardsID
elseif ((idx == 0) and (arenaModeAdboard ~= -1)) then
return arenaModeAdboard
elseif (tournamentAdboards[tourn] ~= nil) then
return tournamentAdboards[tourn]
elseif (stadiumAdboards[stad] ~= nil) then
return stadiumAdboards[stad]
elseif (teamAdboards[team] ~= nil) then
return teamAdboards[team]
elseif (teamTournament[team] ~= nil) then
if (genericAdboards[teamTournament[team]] ~= nil) then
return genericAdboards[teamTournament[team]]
end
end

return 1
end

function assignAdboard(team,ad)
teamAdboards[team] = ad
end

function assignTeamAdboard(team,ad)

if (type(ad) == "number") then
teamAdboards[team] = ad
else
teamAdboards[team] = ad[math.random(#ad)]
end

end

function assignTournamentAdboard(tourn,ad)

if (type(ad) == "number") then
tournamentAdboards[tourn] = ad
else
tournamentAdboards[tourn] = ad[math.random(#ad)]
end

end

function assignStadiumAdboard(stad,ad)

if (type(ad) == "number") then
stadiumAdboards[stad] = ad
else
stadiumAdboards[stad] = ad[math.random(#ad)]
end

end

globalAdboardsEnabled = false
globalAdboardsID = 1

function useGlobalAdboard(ad)
globalAdboardsEnabled = true

if (type(ad) == "number") then
globalAdboardsID = ad
else
globalAdboardsID = ad[math.random(#ad)]
end

end

tournStadTex = {}

function assignTournamentStadTex(stad,tourn,id)

if (tournStadTex[stad] == nil) then
tournStadTex[stad] = {}
end

tournStadTex[stad][tourn] = id
end

function getTournamentStadTex(stad,tourn,id)

if (tournStadTex[stad] ~= nil) then
if (tournStadTex[stad][tourn] ~= nil) then
return tournStadTex[stad][tourn]
end
end

return id
end


arenaModeAdboard = -1

function setArenaModeAdboard(id)

if (type(ad) == "number") then
arenaModeAdboard = id
else
arenaModeAdboard = id[math.random(#ad)]
end

end

frTourn = -1

function useTournamentGraphicsInFriendly(id)
frTourn = id
end

function getTournamentGraphics(id)
if (id == -1) then
return frTourn
end

return id
end


mowPatturns = {}

function assignMowPattern(team,mow)
mowPatturns[team] = mow
end

function getMowPattern(team,tourn,mow)

if (tournamentMowPatturns[tourn] ~= nil) then
return tournamentMowPatturns[tourn]
end

if (mowPatturns[team] ~= nil) then
return mowPatturns[team]
else
return mow
end

end

tournamentMowPatturns = {}

function assignTournamentMowPattern(tourn,mow)
tournamentMowPatturns[tourn] = mow
end


--assignCustomAdboardIDs()

--Revolution Mod 13 1.0
--Edited by scouser09